Subject: Re: [RFC/PATCH] Implement poor-man's submodule support using commit hooks

From: Andy Parkins <[email-masked]>
Date: Wed, 20 Dec 2006 14:20:52 +0000

On Wednesday 2006 December 20 14:07, Jakub Narebski wrote:

> > Unfortunately, it is the hash that is optional.  When you create the
> > file, you don't list the hashes, you list the subdirectories.  I suppose
> > I could make it so you have to give "000000" or something first?
>
> That's the convention git uses in git-diff, reflog, etc.

They are all outputs though; this is an input.  I did it that way round so 
that I could say:

cat .gitmodules <<EOF
submodule1
submodule2
EOF

And that was it.  Of course, this doesn't work when there are spaces in the 
filename, so I guess it's got to be 

cat .gitmodules <<EOF
000 submodule1
000 submodule2
EOF

I'll wait to see if there are more objections before posting an updated patch.

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIEE